import ViewMessageService from '../view-message-service';
/**
 * 微服务组件视图消息服务对象基类
 * 基于 APP/src/message/%APP_MSG%/%APP_MSG%-message-base.ts.ftl 生成
 * @export
 * @class ViewMsg67MessageServiceBase
 */
export default class ViewMsg67MessageServiceBase extends ViewMessageService {


    /**
     * Creates an instance of  ViewMsg67MessageServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  ViewMsg67MessageServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础参数
     * 
     * @memberof ViewMsg67MessageServiceBase
     */
    public initBasicParam(){
        this.id = "908bf4599aa3767233dad4fd38e601e3";
        this.name = "微服务组件";
        this.codename = "ViewMsg67";
        this.title = "";
        this.content = "本示例展示微服务组件。";
        this.closeMode = 0;
        this.position = "TOP";
        this.type = "error";
        this.isEnableRemove = false;
        this.order = 1;
        this.dynamicMode = "STATIC";
        this.hasMessageTemp = false;
        this.messageType = "TEXT";
    }

    /**
     * 转化消息模板标题和内容
     *      
     * @target {*} target 返回目标数据
     * @param {*} context 应用上下文
     * @param {*} viewparam 视图参数
     * @param {*} item 源数据
     * 
     * @memberof ViewMsg67MessageServiceBase
     */
    public translateMessageTemp(target:any,context:any,viewparam:any,item?:any){
        if(this.hasMessageTemp && Object.is(this.messageType,"HTML")){
            Object.assign(target,{title:``});
            Object.assign(target,{content:``});
        }
        if(this.hasMessageTemp && Object.is(this.messageType,"TEXT")){
            Object.assign(target,{title:""});
            Object.assign(target,{content:""});
        }
    }

}